var prefix = "/datas/dataPart"
var counts = 0;
$(document).ready(function () {
    load();
});

var load = function () {
    $('#exampleTable')
        .bootstrapTreeTable(
            {
                id: 'partId',
                code: 'partId',
                parentCode: 'parentId',
                type: "GET", // 请求数据的ajax类型
                url: prefix + '/list', // 请求数据的ajax的url
                ajaxParams: {
                    sort: 'order_num',
                    partName: $('#searchName').val()
                }, // 请求数据的ajax的data属性
                expandColumn: '1',// 在哪一列上面显示展开按钮
                striped: true, // 是否各行渐变色
                bordered: true, // 是否显示边框
                expandAll: false, // 是否全部展开
                // toolbar : '#exampleToolbar',
                columns: [
                    // {
                    //     title: '编号',
                    //     field: 'partId',
                    //     visible: false,
                    //     align: 'center',
                    //     valign: 'center',
                    //     width: '5%'
                    // },
                    {
                        field: 'no',
                        title: '序号',
                        align: "center",
                        width: "5%",
                        formatter: function (value, row, index) {
                            return showCounts();
                        }
                    },
                    {
                        title: '数据分类',
                        field: 'partName',
                    },
                    {
                        title: '数据分类描述',
                        field: 'partDesc'
                    },
                    {
                        title: '重要程度',
                        field: 'partIsMajor',
                        formatter: function (item, index) {
                            if (item.partIsMajor == '0') {
                                return '<span class="label label-primary">一般</span>';
                            } else if (item.partIsMajor == '1') {
                                return '<span class="label  label-danger">重要</span>';
                            }
                        }
                    }
                ]
            });
}

function reLoad() {
    // $('#exampleTable').bootstrapTable('refresh');
    // $('#exampleTable').bootstrapTreeTable('refresh');
    // $('#exampleTable').bootstrapTreeTable('refresh');
    $('.fixed-table-container').removeClass("fixed-table-container");
    // $('#exampleTable').bootstrapTreeTable('destroy');
    load();
    // $("#exampleTable").bootstrapTreeTable("refresh", {
    //     silent: true //静态刷新
    // });
}

function showCounts() {
    counts = counts + 1;
    return counts;
}